<template>
  <div class="answer-box" :style="bg" v-html="answer"></div>
</template>

<script>
export default {
    name: 'ResultQuestion',
    props: ['answer', 'correctAnswer', 'userAnswer'],
    data() {
        return {
            bg: {
                backgroundColor: "#242424"
            }
        }
    },
    mounted() {
        if(this.answer == this.userAnswer) {
            this.bg.backgroundColor = '#550000';
        }
        if(this.answer == this.correctAnswer) {
            this.bg.backgroundColor = '#005500'
        }
    }
}
</script>

<style>

</style>